@charset "utf-8";

body {
    background-color: #f6f6f6;
}

.main {
    padding-top: 2rem;
    padding-bottom: 2rem;
}

.main-head, .main-body {
    padding: 1rem;
}

.main-cht {
    font-size: 2rem;
    font-weight: 600;
}

.main-small {
    font-size: 1.25rem;
    text-transform: uppercase;
    font-style: italic;
    color: rgba(0, 0, 0, 0.7);
    margin-left: 1rem;
}

.main-desc {
    margin-top: 1rem;
    line-height: 1.5;
    color: rgba(0, 0, 0, 0.7);
    text-align: justify;
}

/* grid ----------------------------- */
.grid {
    display: grid;
    /* grid-template-columns: 33.33333% 33.33333% 33.33333%; 效果同下*/
    /* grid-template-columns: repeat(3, 1fr); 因為service三欄，works四欄，所以分兩個class*/
    gap: 2rem;
}

.grid-3 {
    grid-template-columns: repeat(3, 1fr);
}

.grid-4 {
    grid-template-columns: repeat(4, 1fr);
}


/* Mediaquery -------------------------------------------- */
@media screen and (max-width: 480px) {
    /* main ----------------------------- */
    .main-title {
        text-align: center;
    }

    /* grid ----------------------------- */
    .grid-3, .grid-4 {
        grid-template-columns: repeat(1, 1fr);
    }
}
